# GstGLAPI

Provides some helper API for dealing with OpenGL API's and platforms

## GstGLFuncs

Structure containing function pointers to OpenGL functions.

Each field is named exactly the same as the OpenGL function without the `gl` prefix.

## GstGL.GLFuncs

Structure containing function pointers to OpenGL functions.

Each field is named exactly the same as the OpenGL function without the `gl` prefix.

## GstGL.GLFuncs

Structure containing function pointers to OpenGL functions.

Each field is named exactly the same as the OpenGL function without the `gl` prefix.

## Functions

### gst_gl_api_from_string

    GstGLAPI
    gst_gl_api_from_string (const gchar* api_s)

Parameters:

`api_s` –

a space separated string of OpenGL apis

Returns –

The GstGLAPI represented by api_s

### GstGL.prototype.gl_api_from_string

    function GstGL.prototype.gl_api_from_string(api_s: String): {
        // javascript wrapper for 'gst_gl_api_from_string'
    }

Parameters:

`api_s` (String) –

a space separated string of OpenGL apis

Returns (GstGL.GLAPI) –

The GstGL.GLAPI represented by api_s

### GstGL.gl_api_from_string

    def GstGL.gl_api_from_string (api_s):
        #python wrapper for 'gst_gl_api_from_string'

Parameters:

`api_s` (str) –

a space separated string of OpenGL apis

Returns (GstGL.GLAPI) –

The GstGL.GLAPI represented by api_s

### gst_gl_api_to_string

    gchar*
    gst_gl_api_to_string (GstGLAPI api)

Parameters:

`api` –

a GstGLAPI to stringify

Returns –

A space separated string of the OpenGL api's enabled in api

### GstGL.prototype.gl_api_to_string

    function GstGL.prototype.gl_api_to_string(api: GstGL.GLAPI): {
        // javascript wrapper for 'gst_gl_api_to_string'
    }

Parameters:

`api` (GstGL.GLAPI) –

a GstGL.GLAPI to stringify

Returns (String) –

A space separated string of the OpenGL api's enabled in api

### GstGL.gl_api_to_string

    def GstGL.gl_api_to_string (api):
        #python wrapper for 'gst_gl_api_to_string'

Parameters:

`api` (GstGL.GLAPI) –

a GstGL.GLAPI to stringify

Returns (str) –

A space separated string of the OpenGL api's enabled in api

### gst_gl_platform_from_string

    GstGLPlatform
    gst_gl_platform_from_string (const gchar* platform_s)

Parameters:

`platform_s` –

a space separated string of OpenGL platformss

Returns –

The GstGLPlatform represented by platform_s

### GstGL.prototype.gl_platform_from_string

    function GstGL.prototype.gl_platform_from_string(platform_s: String): {
        // javascript wrapper for 'gst_gl_platform_from_string'
    }

Parameters:

`platform_s` (String) –

a space separated string of OpenGL platformss

Returns (GstGL.GLPlatform) –

The GstGL.GLPlatform represented by platform_s

### GstGL.gl_platform_from_string

    def GstGL.gl_platform_from_string (platform_s):
        #python wrapper for 'gst_gl_platform_from_string'

Parameters:

`platform_s` (str) –

a space separated string of OpenGL platformss

Returns (GstGL.GLPlatform) –

The GstGL.GLPlatform represented by platform_s

### gst_gl_platform_to_string

    gchar*
    gst_gl_platform_to_string (GstGLPlatform platform)

Parameters:

`platform` –

a GstGLPlatform to stringify

Returns –

A space separated string of the OpenGL platforms enabled in platform

### GstGL.prototype.gl_platform_to_string

    function GstGL.prototype.gl_platform_to_string(platform: GstGL.GLPlatform): {
        // javascript wrapper for 'gst_gl_platform_to_string'
    }

Parameters:

`platform` (GstGL.GLPlatform) –

a GstGL.GLPlatform to stringify

Returns (String) –

A space separated string of the OpenGL platforms enabled in platform

### GstGL.gl_platform_to_string

    def GstGL.gl_platform_to_string (platform):
        #python wrapper for 'gst_gl_platform_to_string'

Parameters:

`platform` (GstGL.GLPlatform) –

a GstGL.GLPlatform to stringify

Returns (str) –

A space separated string of the OpenGL platforms enabled in platform

## Enumerations

### GstGLAPI

##### Members

`GST_GL_API_NONE` (0) –

no API

`GST_GL_API_OPENGL` (1) –

Desktop OpenGL up to and including 3.1. The compatibility profile when the OpenGL version is >= 3.2

`GST_GL_API_OPENGL3` (2) –

Desktop OpenGL >= 3.2 core profile

`GST_GL_API_GLES1` (32768) –

OpenGL ES 1.x

`GST_GL_API_GLES2` (65536) –

OpenGL ES 2.x and 3.x

`GST_GL_API_ANY` (4294967295) –

Any OpenGL API

### GstGL.GLAPI

##### Members

`GstGL.GLAPI.NONE` (0) –

no API

`GstGL.GLAPI.OPENGL` (1) –

Desktop OpenGL up to and including 3.1. The compatibility profile when the OpenGL version is >= 3.2

`GstGL.GLAPI.OPENGL3` (2) –

Desktop OpenGL >= 3.2 core profile

`GstGL.GLAPI.GLES1` (32768) –

OpenGL ES 1.x

`GstGL.GLAPI.GLES2` (65536) –

OpenGL ES 2.x and 3.x

`GstGL.GLAPI.ANY` (4294967295) –

Any OpenGL API

### GstGL.GLAPI

##### Members

`GstGL.GLAPI.NONE` (0) –

no API

`GstGL.GLAPI.OPENGL` (1) –

Desktop OpenGL up to and including 3.1. The compatibility profile when the OpenGL version is >= 3.2

`GstGL.GLAPI.OPENGL3` (2) –

Desktop OpenGL >= 3.2 core profile

`GstGL.GLAPI.GLES1` (32768) –

OpenGL ES 1.x

`GstGL.GLAPI.GLES2` (65536) –

OpenGL ES 2.x and 3.x

`GstGL.GLAPI.ANY` (4294967295) –

Any OpenGL API

### GstGLPlatform

##### Members

`GST_GL_PLATFORM_NONE` (0) –

no platform

`GST_GL_PLATFORM_EGL` (1) –

the EGL platform used primarily with the X11, wayland and android window systems as well as on embedded Linux

`GST_GL_PLATFORM_GLX` (2) –

the GLX platform used primarily with the X11 window system

`GST_GL_PLATFORM_WGL` (4) –

the WGL platform used primarily on Windows

`GST_GL_PLATFORM_CGL` (8) –

the CGL platform used primarily on OS X

`GST_GL_PLATFORM_EAGL` (16) –

the EAGL platform used primarily on iOS

`GST_GL_PLATFORM_ANY` (4294967295) –

any OpenGL platform

### GstGL.GLPlatform

##### Members

`GstGL.GLPlatform.NONE` (0) –

no platform

`GstGL.GLPlatform.EGL` (1) –

the EGL platform used primarily with the X11, wayland and android window systems as well as on embedded Linux

`GstGL.GLPlatform.GLX` (2) –

the GLX platform used primarily with the X11 window system

`GstGL.GLPlatform.WGL` (4) –

the WGL platform used primarily on Windows

`GstGL.GLPlatform.CGL` (8) –

the CGL platform used primarily on OS X

`GstGL.GLPlatform.EAGL` (16) –

the EAGL platform used primarily on iOS

`GstGL.GLPlatform.ANY` (4294967295) –

any OpenGL platform

### GstGL.GLPlatform

##### Members

`GstGL.GLPlatform.NONE` (0) –

no platform

`GstGL.GLPlatform.EGL` (1) –

the EGL platform used primarily with the X11, wayland and android window systems as well as on embedded Linux

`GstGL.GLPlatform.GLX` (2) –

the GLX platform used primarily with the X11 window system

`GstGL.GLPlatform.WGL` (4) –

the WGL platform used primarily on Windows

`GstGL.GLPlatform.CGL` (8) –

the CGL platform used primarily on OS X

`GstGL.GLPlatform.EAGL` (16) –

the EAGL platform used primarily on iOS

`GstGL.GLPlatform.ANY` (4294967295) –

any OpenGL platform

## Constants

### GST_GL_API_GLES1_NAME

    #define GST_GL_API_GLES1_NAME "gles1"

The name for GST_GL_API_GLES1 used in various places

### GstGL.GL_API_GLES1_NAME

The name for GstGL.GLAPI.GLES1 used in various places

### GstGL.GL_API_GLES1_NAME

The name for GstGL.GLAPI.GLES1 used in various places

### GST_GL_API_GLES2_NAME

    #define GST_GL_API_GLES2_NAME "gles2"

The name for GST_GL_API_GLES2 used in various places

### GstGL.GL_API_GLES2_NAME

The name for GstGL.GLAPI.GLES2 used in various places

### GstGL.GL_API_GLES2_NAME

The name for GstGL.GLAPI.GLES2 used in various places

### GST_GL_API_OPENGL3_NAME

    #define GST_GL_API_OPENGL3_NAME "opengl3"

The name for GST_GL_API_OPENGL3 used in various places

### GstGL.GL_API_OPENGL3_NAME

The name for GstGL.GLAPI.OPENGL3 used in various places

### GstGL.GL_API_OPENGL3_NAME

The name for GstGL.GLAPI.OPENGL3 used in various places

### GST_GL_API_OPENGL_NAME

    #define GST_GL_API_OPENGL_NAME "opengl"

The name for GST_GL_API_OPENGL used in various places

### GstGL.GL_API_OPENGL_NAME

The name for GstGL.GLAPI.OPENGL used in various places

### GstGL.GL_API_OPENGL_NAME

The name for GstGL.GLAPI.OPENGL used in various places

The results of the search are